Bug 422381 - Review Request: vdr-tvonscreen - The tvonscreen plugin for VDR
Review Request: vdr-tvonscreen - The tvonscreen plugin for VDR
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 15:29 EST by Ville-Pekka Vainio
Modified: 2007-12-21 15:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 15:23:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ville.skytta: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ville-Pekka Vainio 2007-12-12 15:29:31 EST
Spec URL: http://vpv.fedorapeople.org/packages/vdr-tvonscreen.spec
SRPM URL: http://vpv.fedorapeople.org/packages/vdr-tvonscreen-1.0.141-0.1.fc8.src.rpm
Description: 
This plugin shows the EPG data in the typical way a TV magazine
does. The channels are shown from left to right, 3 on one screen.
Comment 1 Ville-Pekka Vainio 2007-12-12 15:32:23 EST
I'm adding Ville Skyttä's email as CC here, because he is the VDR package
maintainer. Ville, if you have the time, could you review this package?
Comment 2 Ville Skyttä 2007-12-13 16:07:54 EST
Sure, here goes:

%{vardir} appears to be unused, and can be removed.

A full working Source0 URL would be
http://www.js-home.org/vdr/tvonscreen/%{name}-%{version}.tar.gz

Suggested Summary improvement: Enhanced EPG data viewer plugin for VDR

Suggested %description improvement:
This VDR plugin shows EPG data on VDR's OSD in a similar way as a TV
magazine does. The channels are shown from left to right, 3 on one
screen.

The plugin appears to look for logos from /etc/vdr/plugins/logos - I think it's
unlikely that they'll be found there.  The VDR package contains a dir for this
purpose: $(vdr-config --datadir)/logos

(My local unmaintained package of this contains an implementation of the last
point: http://cachalot.mine.nu/unmaintained/)
Comment 3 Ville-Pekka Vainio 2007-12-19 16:59:10 EST
Updated spec: http://vpv.fedorapeople.org/packages/vdr-tvonscreen.spec
New SRPM:
http://vpv.fedorapeople.org/packages/vdr-tvonscreen-1.0.141-0.2.fc8.src.rpm

I had a look at your repo before making the package but I forgot about the
unmaintained folder... Now I basically decided to use your spec file. I removed
the unneeded execute permission on i18n.h and changed the license to be GPL+.
Comment 4 Ville Skyttä 2007-12-20 15:02:35 EST
The only thing I have to add is the suggested %description improvement from
comment 2, something like

This VDR plugin shows EPG data on VDR's OSD in a similar way as a TV
magazine does. The channels are shown from left to right, 3 on one
screen.

With that %description or another similarly improved over the current one,
approved.  Remember to bump release to 1%{?dist} before the first build.
Comment 5 Ville-Pekka Vainio 2007-12-20 18:25:42 EST
Even though you already approved the package, here are the newest changes:
Updated spec: http://vpv.fedorapeople.org/packages/vdr-tvonscreen.spec
New SRPM: http://vpv.fedorapeople.org/packages/vdr-tvonscreen-1.0.141-1.fc8.src.rpm


New Package CVS Request
=======================
Package Name: vdr-tvonscreen
Short Description: Enhanced EPG data viewer for VDR
Owners: vpv
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-12-20 23:38:37 EST
cvs done.
Comment 7 Ville-Pekka Vainio 2007-12-21 15:23:28 EST
The builds succeeded, thanks!

Note You need to log in before you can comment on or make changes to this bug.